{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_VAL"; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_VAL"; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = INDICATIF; 
            externalType = NUMBER; 
            name = indicatif; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LISTE_ROUGE"; 
            externalType = CHAR; 
            name = listeRouge; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "NO_TELEPHONE"; 
            externalType = VARCHAR2; 
            name = noTelephone; 
            valueClassName = NSString; 
            valueType = S; 
            width = 14; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYPE_NO"; 
            externalType = VARCHAR2; 
            name = typeNo; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "TYPE_TEL"; 
            externalType = VARCHAR2; 
            name = typeTel; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }
    ); 
    attributesUsedForLocking = (persId, noTelephone, typeNo, typeTel, indicatif, cStructure, listeRouge); 
    className = "org.cocktail.application.serveur.eof.VPersonneTelephone"; 
    classProperties = (
        persId, 
        noTelephone, 
        typeNo, 
        typeTel, 
        dDebVal, 
        dFinVal, 
        dCreation, 
        dModification, 
        indicatif, 
        cStructure, 
        listeRouge
    ); 
    externalName = "grhum.V_PERSONNE_TELEPHONE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            persId, 
            noTelephone, 
            typeNo, 
            typeTel, 
            dDebVal, 
            dFinVal, 
            dCreation, 
            dModification, 
            indicatif, 
            cStructure, 
            listeRouge
        ); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.VPersonneTelephone"; 
    }; 
    isReadOnly = Y; 
    name = "ca_VPersonneTelephone"; 
    primaryKeyAttributes = (typeNo, typeTel, persId, noTelephone); 
}
